# Rollback Specified Database Table - RollbackUDBInstance

## Overview

Rollback specified library table in the original instance






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `RollbackUDBInstance`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **SrcDBId** | string | Source Instance's Id |**Yes**|
| **RecoveryTime** | string | Timestamp to restore to a certain point in time (UTC time format, default unit is seconds) |**Yes**|
| **Tables** | string | Specify the tables to be restored, in the format (database name.table name), separate multiple tables with commas, eg: [udb.test, mysql_school.my_student] |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DBId** | string | Source Instance's Id |**Yes**|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=RollbackUDBInstance
&Region=cn-zj
&SrcDBId=MQGXvuLc
&RecoveryTime=SYFHrhPd
&Tables=GcrbXXIC
```

### Response Example
    
```json
{
  "Action": "RollbackUDBInstanceResponse",
  "DBId": "udbha-toayxUOA",
  "RetCode": 0
}
```





